<template>
  <router-link :to="{ name: 'profileDetail', params: { id: '123' } }">
    <article class="profileCard">
      <q-card flat bordered square class="">
        <q-img
          v-if="true"
          src="https://res.cloudinary.com/mxv-cloud/image/upload/v1648678008/App/Persones%20i%20Projectes/Grup_-_projecte_frqh7x.jpg"
          fit="cover"
          style="max-width: 300px; height: 250px;"
        />
        <q-carousel
          v-else
          height="150px"
          animated
          v-model="slide"
          arrows
          navigation
          infinite
        >
          <q-carousel-slide
            v-for="(photo, index) in profile.attributes.photos"
            :key="index"
            :name="index + 1"
            :img-src="photo"
          />
        </q-carousel>
        <q-card-section>
          <div class="text-subtitle2 text-brown">
            {{ profile.attributes.stage }}
          </div>
          <div v-if="profile.attributes.name" class="text-h6 text-brown">
            {{ profile.attributes.name }}
          </div>

          <!-- MEMBERS -->
          <div>
            <span
              class="bold"
              v-for="(member, index) in profile.attributes.members"
              :key="index"
              >{{ member.name }} ({{ member.age }})
              <span v-if="index + 1 < profile.attributes.members.length"
                >,
              </span>
            </span>
          </div>
          <!-- {{ adults }} adults {{ underage }} menors -->
        </q-card-section>
        <!-- DESCRIPTION -->
        <q-card-section v-if="profile.attributes.descriptionShort">
          {{ profile.attributes.descriptionShort }}
        </q-card-section>
      </q-card>
    </article>

    <div class="profCard" v-if="false">
      <div>
        <img
          width="auto"
          height="180px"
          src="https://placeimg.com/500/300/nature"
          alt=""
        />
      </div>
      <section>
        <header>
          <h5 class="no-padding no-margin">
            {{ profile.attributes.name.first }}
            {{ profile.attributes.name.last }}
          </h5>
        </header>
        <main>
          <p v-if="profile.attributes.dob.age % 2 === 0">
            La vista dels enemics La dignitat militar deu ésser molt decorada
            perquè sens aquella los regnes e ciutats no es porien sostenir en
            pau segons que diu lo gloriós Sant Lluc en lo seu Evangeli
            Mereixedor és doncs lo virtuós e valent cavaller d'honor e glòria e
            la fama d'aquell no deu preterir per longitud de molts dies E com
            entre los altres insignes cavallers de gloriosa recordació sia estat
            aquell valentíssim cavaller Tirant lo Blanc del qual fa especial
            commemoració lo present llibre per ço d'aquell e de les sues
            grandíssimes virtuts e cavalleries se fa singular e expressa menció
            individual segons reciten les següents històries Comença la primera
            part del llibre de Tirant la qual tracta de certs virtuosos actes
            que féu lo comte Guillem de Varoic en los seus benaventurats darrers
            dies En tan alt greu excel·leix lo militar estament que deuria ésser
            molt reverit si los cavallers observaven aquelll segons la fi per
            què fonc instituït e ordenat E per tant com la divina Providència ha
            ordenat e li plau que los set planets donen influència.
          </p>
          <p v-else>
            Comença la primera part del llibre de Tirant la qual tracta de certs
            virtuosos actes que féu lo comte Guillem de Varoic en los seus
            benaventurats darrers dies En tan alt greu excel·leix lo militar
            estament que deuria ésser molt reverit si los cavallers observaven
            aquelll segons la fi per què fonc instituït e ordenat E per tant com
            la divina Providència ha ordenat e li plau que los set planets donen
            influència.
          </p>
        </main>
      </section>
    </div>
  </router-link>
</template>

<script setup>
// eslint-disable-next-line no-undef
defineProps({
  profile: Object
})
</script>

<style lang="sass">
.profileCard
  overflow: hidden
  color: #333
  border: 1px solid  $primary
  animation: fadeIn 0.5s
  section
    padding: 1rem

@keyframes fadeIn
  from
    opacity: 0
  to
    opacity: 1
</style>
